Subject: Re: [PATCH v2 0/1] git-svn: testcase for partial rebuild

From: Eric Wong <[email-masked]>
Date: Sun, 21 Sep 2008 21:12:34 -0700

Deskin Miller <[email-masked]> wrote:
> ---
> On Wed, Sep 17, 2008 at 11:38:04PM -0700, Eric Wong wrote:
> > This seems to break the following test case for me:
> > 
> > *** t9107-git-svn-migrate.sh ***
> > *   ok 1: setup old-looking metadata
> > *   ok 2: git-svn-HEAD is a real HEAD
> > *   ok 3: initialize old-style (v0) git svn layout
> > *   ok 4: initialize a multi-repository repo
> > *   ok 5: multi-fetch works on partial urls + paths
> > *   ok 6: migrate --minimize on old inited layout
> > * FAIL 7: .rev_db auto-converted to .rev_map.UUID
> > 
> > I haven't had time to diagnose it.  Also, can you add a test that
> > demonstrates this functionality (and ensures things keeps working when
> > future work is done on git-svn?)
> 
> Thanks for the response; I had a bug in my Perl that my testing hadn't caught.
> Gave me an opportunity to learn how the git testsuites work!
> 
> This testcase fails for me when applied to master, and passes with patch 1/1 in
> the series.

Thanks Deskin, this series is
  Acked-by: Eric Wong <[email-masked]>

Junio: I would apply the patch series in reverse order to not break
tests on potential bisections, however.

-- 
Eric Wong